Upcoming Android and Google Play Deadlines

Our platform and policies are constantly evolving to improve the user experience and create a safer ecosystem. This page is updated with the latest information about these policies, including any changes you may be required to make. Thanks for keeping your apps and games up to date.

Timeline

policy timeline policy timeline

We recently announced an update to our Google Play Policies, which gives new apps more time to comply. Both new apps and existing apps available on Google Play as of July 8, 2020 will have until August 12, 2020 to comply, or else they will be removed.

In February 2020, we announced that developers will require approval to access background location. Starting September 30, 2020, you will be able to submit your apps in Google Play Console to receive feedback on their compliance with the new policy.

  • Starting January 18, 2021, all new apps submitted to Google Play after September 30, 2020 that access background location permissions will need approval before they can go live.
  • Starting March 29, 2021, all apps published prior to September 30, 2020 that access location in the background must have approval, or they will be removed from Google Play. Developers must complete the declaration in Play Console, even if location usage is in the foreground. You can check for this in the App Content > Permissions > Location Permissions section of Play Console.

As of August 1, 2019, apps and games published on Google Play must support 64-bit ABIs for their corresponding 32-bit architectures. Apps and games that use a Corona Labs SDK or Adobe Air software and the AIR SDK have until August 1, 2020 to comply. Games built with Unity 5.6.7 and lower have until August 1, 2021 to comply.

Starting November 1, 2020, all apps that use in-app subscriptions must support Account Hold and Restore. At the same time, all subscriptions will be automatically opted into Pause and Resubscribe unless these features are proactively turned off in Google Play Console.

When you upload an APK, it needs to meet Google Play’s target API level requirements. By August 3, 2020, new apps must target at least Android 10 (API level 29). By November 2, 2020, all apps that are being updated must target at least Android 10 (API level 29). Until then, new apps and app updates must target at least Android 9 (API level 28). Wear OS apps are not subject to the API level 29 requirement.

Starting August 2, 2021, all new apps using Play Billing must use Billing Library version 3 or newer. By November 1, 2021, all updates to existing apps using Play Billing must use Billing Library version 3 or newer.

Past deadlines

The new subscription policy ensures that users understand your subscription offer, the terms of any free trials or introductory offers, and how to manage or cancel their subscriptions. Since June 16, 2020, apps have been required to comply with the updated subscription policy.

In April 2020, the FirebaseJobDispatcher library was archived and we no longer provide support for issues filed on the library. The GCMNetworkManager library is no longer receiving any new features, and starting in November 2020, we will no longer provide support for issues relating to the library. Once your app updates the target API level (targetSdkVersion) to API level 30 or higher, FirebaseJobDispatcher and GcmNetworkManager API calls will no longer work on devices running Android 6.0 (API level 23) and above.